org.keycloak.services.scheduled

## Class ScheduledTaskRunner

- java.lang.Object
- - org.keycloak.services.scheduled.ScheduledTaskRunner

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    ClusterAwareScheduledTaskRunner

      public class ScheduledTaskRunner
      extends Object
      implements Runnable

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakSessionFactory` | `sessionFactory`
    `protected ScheduledTask` | `task`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledTaskRunner(KeycloakSessionFactory sessionFactory, ScheduledTask task)`
    `ScheduledTaskRunner(KeycloakSessionFactory sessionFactory, ScheduledTask task, int transactionLimit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `protected void` | `runTask(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionFactory

          protected final KeycloakSessionFactory sessionFactory

    - #### task

          protected final ScheduledTask task

  - ### Constructor Detail

    - #### ScheduledTaskRunner

          public ScheduledTaskRunner(KeycloakSessionFactory sessionFactory,
                                     ScheduledTask task)

    - #### ScheduledTaskRunner

          public ScheduledTaskRunner(KeycloakSessionFactory sessionFactory,
                                     ScheduledTask task,
                                     int transactionLimit)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### runTask

          protected void runTask(KeycloakSession session)

Copyright © 2021 JBoss by Red Hat. All rights reserved.